Name:           python-ms-mint-app
Version:        1.1.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Metabolomics Integrator Interactive Web-Application (Mint)

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/LewisResearchGroup/ms-mint-app
Source:         %{pypi_source ms_mint_app}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ms-mint-app' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ms-mint-app
Summary:        %{summary}

%description -n python3-ms-mint-app %_description


%prep
%autosetup -p1 -n ms_mint_app-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ms-mint-app -f %{pyproject_files}


%changelog
%autochangelog